slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPProblemType

Determines the type of the nonlinear eigenproblem

### Synopsis

    typedef enum { NEP_GENERAL=1,
                   NEP_RATIONAL     /* NEP defined in split form with all f_i rational */
                 } NEPProblemType;

### See Also

NEPSetProblemType(), NEPGetProblemType()

### Level

intermediate

### Location

include/slepcnep.h

### Examples

src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex42.c
src/nep/tutorials/nlevp/loaded_string.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages